Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

[Yêu Cầu] Lisp Chuyển Dim Từ Dim Model Sang Dim Layout


  • Please log in to reply
8 replies to this topic

#1 archp209

archp209

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 26 April 2017 - 08:43 AM

chuyện là thế này a. em thường sử dụng 2 loại dim . 1 là dim 1/100 để vẽ bên model và 1 là dim layout để vẽ bên layout . bác anò giúp em cái lisp chuyển nhank giưuã 2 kiểu dim này đc không . em xin chân thànk cảm ơn ạ 


  • -1

#2 Danh Cong

Danh Cong

    biết lệnh block

  • Moderator
  • PipPipPipPipPipPip
  • 404 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 26 April 2017 - 11:12 AM

Điền tên 2 loại Dimension vào chỗ bôi xanh.

 

(defun c:a ()

(command "-dimstyle" "r" "aaa" ))

(defun c:b ()

(command "-dimstyle" "r" "bbb"))


  • 1

            *** Vô lo - Vô nghĩ - Vô sầu hận ***
*** Chẳng thương - Chẳng giận - Chẳng đau lòng ***


#3 dinhvantrang

dinhvantrang

    biết lệnh mirror

  • Members
  • PipPipPip
  • 158 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 26 April 2017 - 12:20 PM

không biết về lisp nhưng mình đưa ra ý tưởng là khi tác giả chuyển Model-Layout hoặc ngược lại thì chạy cái Lisp này thì ngon. Đỡ phải bấm lệnh


  • 0

Thanks and Best Regards

Skype : dinhvantrang73

 

Group hướng dẫn lập trình VBA cho Autocad & Excel

https://www.facebook...46532865799936/

 

Series video hướng dẫn lập trình VBA cho Autocad & Excel

https://www.youtube....m54mGak6O9YSmfT


#4 Danh Cong

Danh Cong

    biết lệnh block

  • Moderator
  • PipPipPipPipPipPip
  • 404 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 26 April 2017 - 12:30 PM

không biết về lisp nhưng mình đưa ra ý tưởng là khi tác giả chuyển Model-Layout hoặc ngược lại thì chạy cái Lisp này thì ngon. Đỡ phải bấm lệnh

^^ Cái này thì em chịu bác ạ. Chắc phải để mấy bác uyên thâm hơn làm tiếp.

Mà 1 nút bấm lệnh = nốt nhạc thôi mà,  <_<  <_<


  • 0

            *** Vô lo - Vô nghĩ - Vô sầu hận ***
*** Chẳng thương - Chẳng giận - Chẳng đau lòng ***


#5 archp209

archp209

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 26 April 2017 - 01:57 PM

Điền tên 2 loại Dimension vào chỗ bôi xanh.

 

(defun c:a ()

(command "-dimstyle" "r" "aaa" ))

(defun c:b ()

(command "-dimstyle" "r" "bbb"))

em cảm ơn bác nhiều ạ <3


  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5712 Bài viết
Điểm đánh giá: 2633 (tuyệt vời)

Đã gửi 26 April 2017 - 04:07 PM

không biết về lisp nhưng mình đưa ra ý tưởng là khi tác giả chuyển Model-Layout hoặc ngược lại thì chạy cái Lisp này thì ngon. Đỡ phải bấm lệnh

Reactor/ Event làm đơn giản cực ^^
  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 quocmanh04tt

quocmanh04tt

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 777 Bài viết
Điểm đánh giá: 365 (khá)

Đã gửi 26 April 2017 - 06:46 PM

Vừa mới nghiên cứu quả Reactor:

 

(defun activedimstyle  (my_dimstyle / active-document my_dimstyle_ob)
  (setq active-document (vla-get-activedocument (vlax-get-acad-object)))
  (if (tblsearch "DIMSTYLE" my_dimstyle)
    (progn (setq my_dimstyle_ob (vla-item (vla-get-dimstyles active-document) my_dimstyle))
           (vla-put-activedimstyle active-document my_dimstyle_ob)
           (vlax-release-object my_dimstyle_ob))))
(vlr-miscellaneous-reactor nil '((:vlr-layoutSwitched . reactor_layoutsw)))
(defun reactor_layoutsw (reactor_name layout_name) (switch_dimstyle))
(defun switch_dimstyle  ()
  (cond ((= (getvar "tilemode") 1) (activedimstyle
"DIM-MODEL"))
        ((= (getvar "tilemode") 0) (activedimstyle
"DIM-LAYOUTS"))))

 

*** Hướng dẫn:

+ Chép đoạn lisp trên vào 1 file lsp nào đó.

+ "DIM-MODEL" là tên dimstyle sẽ dùng trong model (sửa cái này cho phù hợp với bản vẽ hiện có)

+ "DIM-LAYOUTS" Tương tự trên, dim dùng bên layouts.

+ Appload...

+ Xem kết quả...

 

P/s: Đang nghiên cứu nên mù mờ, bác nào đi qua, xin chỉ giáo thêm...!


  • 3

#8 Danh Cong

Danh Cong

    biết lệnh block

  • Moderator
  • PipPipPipPipPipPip
  • 404 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 26 April 2017 - 08:45 PM

Các bác nghiên cứu nhiều quá.... em chịu thua  :ph34r:  :ph34r:  :ph34r:.... :huh:  :huh:  :huh:


  • 0

            *** Vô lo - Vô nghĩ - Vô sầu hận ***
*** Chẳng thương - Chẳng giận - Chẳng đau lòng ***


#9 jangboko

jangboko

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 06 May 2017 - 08:09 PM

Vừa mới nghiên cứu quả Reactor:

 

(defun activedimstyle  (my_dimstyle / active-document my_dimstyle_ob)
  (setq active-document (vla-get-activedocument (vlax-get-acad-object)))
  (if (tblsearch "DIMSTYLE" my_dimstyle)
    (progn (setq my_dimstyle_ob (vla-item (vla-get-dimstyles active-document) my_dimstyle))
           (vla-put-activedimstyle active-document my_dimstyle_ob)
           (vlax-release-object my_dimstyle_ob))))
(vlr-miscellaneous-reactor nil '((:vlr-layoutSwitched . reactor_layoutsw)))
(defun reactor_layoutsw (reactor_name layout_name) (switch_dimstyle))
(defun switch_dimstyle  ()
  (cond ((= (getvar "tilemode") 1) (activedimstyle
"DIM-MODEL"))
        ((= (getvar "tilemode") 0) (activedimstyle
"DIM-LAYOUTS"))))

 

*** Hướng dẫn:

+ Chép đoạn lisp trên vào 1 file lsp nào đó.

+ "DIM-MODEL" là tên dimstyle sẽ dùng trong model (sửa cái này cho phù hợp với bản vẽ hiện có)

+ "DIM-LAYOUTS" Tương tự trên, dim dùng bên layouts.

+ Appload...

+ Xem kết quả...

 

P/s: Đang nghiên cứu nên mù mờ, bác nào đi qua, xin chỉ giáo thêm...!

thank bác, lisp chạy êm, đang trong quá trình kiểm định


  • 0